package com.intel.software.academic.program;

public class PololuConstants {

	/** Serial command values **/
	public static final int SERIAL_SET_TARGET = 0x84;
	public static final int SERIAL_SET_SPEED = 0x87;
	public static final int SERIAL_SET_ACCELERATION = 0x89;
	public static final int SERIAL_SET_PWM = 0x8A;	//mini maestro only
	
	
	public static final int SERIAL_GET_POSITION = 0x90;
	public static final int SERIAL_GET_MOVING_STATE = 0x93;
	public static final int SERIAL_GET_ERRORS = 0xA1;
	public static final int SERIAL_GO_HOME = 0xA2;
	
	/** USB command values **/
	public static final int USB_SET_POSITION = 0x85;
	public static final int USB_SET_SPEED = 0x87;
	public static final int USB_SET_ACCELERATION = 0x89;
	
}
